summaryrefslogtreecommitdiff
path: root/pst/install-4cd-minimal.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-04-13 12:31:42 +0100
committerNick White <git@njw.me.uk>2009-04-13 12:31:42 +0100
commit1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513 (patch)
treeac5ca6418afec68f5f5c3f2f84601559d41d144b /pst/install-4cd-minimal.sh
downloadgemrb-gameinstallers-1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513.tar.bz2
gemrb-gameinstallers-1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513.zip
Initial import
Diffstat (limited to 'pst/install-4cd-minimal.sh')
-rwxr-xr-xpst/install-4cd-minimal.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/pst/install-4cd-minimal.sh b/pst/install-4cd-minimal.sh
new file mode 100755
index 0000000..5ffb88b
--- /dev/null
+++ b/pst/install-4cd-minimal.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+# Installs Planescape Torment 4CD version minimal
+
+FULLGAMENAME="Planescape Torment: 4CD version"
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 5e8c2075163aca124de4a467fb33063d data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+
+cp -R "$TARGETDIR"/program_executable_files/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/program_executable_files
+
+cp $CDMOUNT/torment.ico "$TARGETDIR" || die
+
+mkdir -p "$TARGETDIR/save" || die
+
+setperms "$TARGETDIR"